# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.24.3 -> 1.930.24.4
#	     kernel/printk.c	1.11    -> 1.12   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/02/13	davidm@wailua.hpl.hp.com	1.930.23.8
# ia64: Fix ia64_fls() so it works for all possible 64-bit values.
# 	Reported by Dan Magenheimer (note: the bug didn't affect
# 	the existing kernel, since the possible values passed to
# 	the routine were always "safe").
# --------------------------------------------
# 03/02/13	alex_williamson@hp.com	1.930.23.9
# [PATCH] ia64: fix typo in ia32_support.c
# 
# Happened to notice the attached redundancy.
# --------------------------------------------
# 03/02/13	suresh.b.siddha@intel.com	1.930.24.4
# Correct early_printk declaration.
# --------------------------------------------
#
diff -Nru a/kernel/printk.c b/kernel/printk.c
--- a/kernel/printk.c	Wed Oct  8 09:09:59 2003
+++ b/kernel/printk.c	Wed Oct  8 09:09:59 2003
@@ -328,7 +328,7 @@
 	}
 #ifdef CONFIG_IA64_EARLY_PRINTK
 	if (!console_drivers) {
-		static void early_printk (const char *str, size_t len);
+		void early_printk (const char *str, size_t len);
 		early_printk(&LOG_BUF(start), end - start);
 	}
 #endif
